--OR versus UNION 

USE AdventureWorks2014;
GO

SET STATISTICS IO ON;

SELECT   PP.[BusinessEntityID], PP.[PersonType], PP.[NameStyle], PP.[Title], PP.[FirstName], PP.[MiddleName], PP.[LastName],
         PP.[Suffix], PP.[EmailPromotion], PH.PhoneNumber
--,[AdditionalContactInfo]
--,[Demographics]
--,[rowguid]
--,[ModifiedDate]
FROM     Person.Person PP INNER JOIN Person.PersonPhone PH ON PP.BusinessEntityID = PH.BusinessEntityID
WHERE    PP.LastName = 'Sullivan' OR PH.PhoneNumber LIKE '404%'
ORDER BY PP.BusinessEntityID;


SELECT PP.[BusinessEntityID], PP.[PersonType], PP.[NameStyle], PP.[Title], PP.[FirstName], PP.[MiddleName], PP.[LastName],
       PP.[Suffix], PP.[EmailPromotion], PH.PhoneNumber
--,[AdditionalContactInfo]
--,[Demographics]
--,[rowguid]
--,[ModifiedDate]
FROM   Person.Person PP INNER JOIN Person.PersonPhone PH ON PP.BusinessEntityID = PH.BusinessEntityID
WHERE  PP.LastName = 'Sullivan'
UNION
SELECT PP.[BusinessEntityID], PP.[PersonType], PP.[NameStyle], PP.[Title], PP.[FirstName], PP.[MiddleName], PP.[LastName],
       PP.[Suffix], PP.[EmailPromotion], PH.PhoneNumber
--,[AdditionalContactInfo]
--,[Demographics]
--,[rowguid]
--,[ModifiedDate]
FROM   Person.Person PP INNER JOIN Person.PersonPhone PH ON PP.BusinessEntityID = PH.BusinessEntityID
WHERE  PH.PhoneNumber LIKE '404%'
ORDER BY PP.BusinessEntityID;
