USE AdventureWorks2014 
GO
IF EXISTS (SELECT * FROM sys.tables WHERE name = 'DuplicateValues')
	DROP TABLE DuplicateValues
GO
CREATE TABLE DuplicateValues
(c1 int)
GO
CREATE CLUSTERED INDEX CX_DuplicateValues ON dbo.DuplicateValues (c1)
GO
INSERT INTO DuplicateValues
(c1)
VALUES
(1), (1), (2), (2)
GO 300

DBCC TRACEON (3604)
/*Get the list of pages for the clustered index*/
DBCC IND ('AdventureWorks2014', 'dbo.DuplicateValues', 1)

DBCC PAGE (AdventureWorks2014, 1, 262, 3)
GO
CREATE NONCLUSTERED INDEX IX_DuplicateValues ON dbo.DuplicateValues (c1)
GO
DBCC IND ('AdventureWorks2014', 'dbo.DuplicateValues', 2)
GO
DBCC PAGE (AdventureWorks2014, 1, 23108, 3)
GO