WITH x(cksum, rn) AS 
	(SELECT CHECKSUM((SELECT name AS [text()]
		FROM sys.objects o2
		WHERE o2.name = o1.name
			FOR XML PATH ( '' ))),
			ROW_NUMBER() OVER (ORDER BY name)
	FROM sys.objects o1)
SELECT COUNT(DISTINCT a1.cksum)
FROM x a1
CROSS APPLY x a2
CROSS APPLY x a3
CROSS APPLY x a4
CROSS APPLY x a5
--CROSS APPLY x a6 -- Increase workload by copying and pasting a new line and making 'a5' into 'a6' etc...

