DECLARE @Inventory_Date_Begin DATETIME 
DECLARE @Inventory_Date_End DATETIME 
DECLARE @Insert_Date DATETIME
SET @Inventory_Date_Begin = '2001-04-28'
SET @Inventory_Date_End = '2011-10-21'
SET @Insert_Date = GETDATE()
DECLARE @Inventory_Date_Id int
declare @Inventory_Date as datetime = '2010-01-31'
declare @Insert_Datetime DATETIME2(3)
SET @Inventory_Date_Id = CAST(CONVERT(NVARCHAR(8), @Inventory_Date, 112) AS INT)


SET @Insert_Datetime = CAST(@Insert_Date AS DATETIME2(3))
SET @Inventory_Date = CAST(CONVERT(NVARCHAR(10), @Inventory_Date_Begin, 101) AS DATE) 

		SELECT 
			Date_Id, 
			Organization_Id, 
			Account_Id, 
			LOB_Id,
			Item_Profile_Id, 
			--ISNULL(Growth_Type_Id, @Growth_Type_Id_Unknown) AS Growth_Type_Id, 
			--ISNULL(Sales_Rating_Id, @Sales_Rating_Id_Unknown) AS Sales_Rating_Id, 
			CAST(SUM(E_Unknown) AS DECIMAL(16,4)) AS E_Unknown, 
			CAST(SUM(E_Added) AS DECIMAL(16,4)) AS E_Added, 
			CAST(SUM(E_In_Other) AS DECIMAL(16,4)) AS E_In_Other, 
			CAST(SUM(E_Destroyed) AS DECIMAL(16,4)) AS E_Destroyed, 
			CAST(SUM(E_In) AS DECIMAL(16,4)) AS E_In, 
			CAST(SUM(E_Out) AS DECIMAL(16,4)) AS E_Out, 
			CAST(SUM(E_Perm_Out) AS DECIMAL(16,4)) AS E_Perm_Out, 
			CAST(SUM(E_Pending) AS DECIMAL(16,4)) AS E_Pending, 
			CAST(SUM(E_Transferred) AS DECIMAL(16,4)) AS E_Transferred, 
			CAST(SUM(E_Deleted_From_Source) AS DECIMAL(16,4)) AS E_Deleted_From_Source, 

			CAST(SUM(Qty_Unknown) AS INT) AS Qty_Unknown, 
			CAST(SUM(Qty_Added) AS INT) AS Qty_Added, 
			CAST(SUM(Qty_In_Other) AS INT) AS Qty_In_Other, 
			CAST(SUM(Qty_Destroyed) AS INT) AS Qty_Destroyed, 
			CAST(SUM(Qty_In) AS INT) AS Qty_In, 
			CAST(SUM(Qty_Out) AS INT) AS Qty_Out, 
			CAST(SUM(Qty_Perm_Out) AS INT) AS Qty_Perm_Out, 
			CAST(SUM(Qty_Pending) AS INT) AS Qty_Pending, 
			CAST(SUM(Qty_Transferred) AS INT) AS Qty_Transferred, 
			CAST(SUM(Qty_Deleted_From_Source) AS INT) AS Qty_Deleted_From_Source, 

			MIN(Insert_Datetime) AS Insert_Datetime 
		FROM 
			(
			SELECT  
				CAST(stg.Status_Date_Id AS INT) AS Date_Id, 
				CAST(stg.Organization_Id AS SMALLINT) AS Organization_Id, 
				CAST(stg.Account_Id AS INT) AS Account_Id,
				CAST(stg.LOB_Id AS SMALLINT) AS LOB_Id,
				CAST(stg.Item_Profile_Id AS INT) AS Item_Profile_Id,

				--CAST(CASE 
				--		WHEN stg2.E_Prior_12_Months > 0 AND (stg2.E_Added_Prior_12_Months > 0 OR stg2.E_Added > 0) THEN @Growth_Type_Id_Holdings_Organic_Growth_Add 
				--		WHEN stg2.E_Prior_12_Months > 0 AND stg2.E_Added_Prior_12_Months = 0 AND stg2.E_Added = 0 THEN @Growth_Type_Id_Holdings_Organic_Growth_ZeroAdd 
						
				--		WHEN stg2.E_Prior_12_Months = 0 AND stg2.E > 0 AND stg2.E_Added_Prior_12_Months = 0 AND stg2.E_Added > 0 THEN @Growth_Type_Id_Holdings_New_Growth_Add 
				--		WHEN stg2.E_Prior_12_Months = 0 AND stg2.E > 0 AND stg2.E_Added_Prior_12_Months = 0 AND stg2.E_Added = 0 THEN @Growth_Type_Id_Holdings_New_Growth_ZeroAdd 
						
				--		--WHEN ISNULL(stg2.E, 0) = 0 AND 
				--		--	CAST(CASE WHEN stg.Item_Status_ID = 32 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) = 0.0000 AND 
				--		--	CAST(CASE WHEN stg.Item_Status_ID = 1 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) = 0.0000 AND 
				--		--	CAST(CASE WHEN stg.Item_Status_ID = 48 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) = 0.0000 THEN @Growth_Type_Id_NoHoldings

				--		--WHEN ISNULL(stg2.E, 0) = 0 AND 
				--		--	(CAST(CASE WHEN stg.Item_Status_ID = 32 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) > 0.0000 OR 
				--		--	CAST(CASE WHEN stg.Item_Status_ID = 1 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) > 0.0000 OR 
				--		--	CAST(CASE WHEN stg.Item_Status_ID = 48 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) > 0.0000) THEN @Growth_Type_Id_Holdings_Organic_Growth_ZeroAdd

				--		--ELSE @Growth_Type_Id_Unknown  
				--	END AS SMALLINT) AS Growth_Type_Id, 

				--CAST(
				--	CASE 
				--		WHEN stg2.E BETWEEN srmg.Bronze_Begin AND srmg.Bronze_End THEN @Sales_Rating_Id_Bronze 
				--		WHEN stg2.E BETWEEN srmg.Silver_Begin AND srmg.Silver_End THEN @Sales_Rating_Id_Silver  
				--		WHEN stg2.E BETWEEN srmg.Gold_Begin AND srmg.Gold_End THEN @Sales_Rating_Id_Gold  
				--		WHEN stg2.E BETWEEN srmg.Platinum_Begin AND srmg.Platinum_End THEN @Sales_Rating_Id_Platinum  

				--		WHEN ISNULL(stg2.E, 0) = 0 AND 
				--			(CAST(CASE WHEN stg.Item_Status_ID = 32 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) > 0.0000 OR 
				--			CAST(CASE WHEN stg.Item_Status_ID = 1 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) > 0.0000 OR 
				--			CAST(CASE WHEN stg.Item_Status_ID = 48 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) > 0.0000) THEN @Sales_Rating_Id_Bronze

				--		ELSE @Sales_Rating_Id_Unknown 
				--	END AS TINYINT) AS Sales_Rating_Id,
						
				CAST(CASE WHEN stg.Item_Status_ID NOT IN (1, 16, 32, 48, 64, 80, 96) THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Unknown, 
				CAST(CASE WHEN stg.Add_Date_Id = @Inventory_Date_Id THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Added, 
				CAST(CASE WHEN stg.Item_Status_ID = 1 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_In_Other, 
				CAST(CASE WHEN /*stg.Item_Status_ID = 16 AND */stg.Destroy_Date_Id = @Inventory_Date_Id THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Destroyed, 
				CAST(CASE WHEN stg.Item_Status_ID = 32 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_In, 
				CAST(CASE WHEN stg.Item_Status_ID = 48 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Out, 
				CAST(CASE WHEN stg.Item_Status_ID = 64 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Perm_Out, 
				CAST(CASE WHEN stg.Item_Status_ID = 80 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Pending, 
				CAST(CASE WHEN stg.Item_Status_ID = 96 THEN CAST(ISNULL(stg.E, CAST(0.0000 AS DECIMAL(16,4))) AS DECIMAL(16,4)) ELSE CAST(0.0000 AS DECIMAL(16,4)) END AS DECIMAL(16,4)) AS E_Transferred, 
				CAST(0 AS DECIMAL(16,4)) AS E_Deleted_From_Source, 

				CAST(CASE WHEN stg.Item_Status_ID NOT IN (1, 16, 32, 48, 64, 80, 96) THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Unknown, 
				CAST(CASE WHEN stg.Add_Date_Id = @Inventory_Date_Id THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Added, 
				CAST(CASE WHEN stg.Item_Status_ID = 1 THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_In_Other, 
				CAST(CASE WHEN /*stg.Item_Status_ID = 16 AND */stg.Destroy_Date_Id = @Inventory_Date_Id THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Destroyed, 
				CAST(CASE WHEN stg.Item_Status_ID = 32 THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_In, 
				CAST(CASE WHEN stg.Item_Status_ID = 48 THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Out, 
				CAST(CASE WHEN stg.Item_Status_ID = 64 THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Perm_Out, 
				CAST(CASE WHEN stg.Item_Status_ID = 80 THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Pending, 
				CAST(CASE WHEN stg.Item_Status_ID = 96 THEN CAST(1 AS BIGINT) ELSE CAST(0 AS BIGINT) END AS BIGINT) AS Qty_Transferred, 
				CAST(0 AS BIGINT) AS Qty_Deleted_From_Source, 

				CAST(@Insert_Datetime AS DATETIME2(3)) AS Insert_Datetime
			FROM 
				dbo.FACT_ITEM_TRANSACTION_NEW stg WITH (NOLOCK) 
			--	INNER JOIN 
			--	dbo.DIM_ACCOUNT acct WITH (NOLOCK) ON 
			--		stg.Account_Id = acct.Account_Id 
			--		--LEFT OUTER JOIN @Sales_Ratings_By_Management_Group srmg ON 
			--		--acct.Management_Group_Id = srmg.Management_Group_Id 
			--		LEFT OUTER JOIN 
			--	temp.HOLDINGS_PRIOR_12_MONTHS stg2 WITH (NOLOCK) ON 
			--		stg2.Inventory_Date_Id = @Inventory_Date_Id AND 
			--		acct.Account_Id_Level_1 = stg2.Account_Id 
			WHERE 
				stg.Status_Date_Id <= @Inventory_Date_Id AND 
				stg.Status_Date_Id BETWEEN stg.Start_Date_Id AND stg.End_Date_Id  
			) Details 
		GROUP BY 			Date_Id, 
			Organization_Id, 
			Account_Id, 
			LOB_Id, 
			Item_Profile_Id
 --, 
			--ISNULL(Growth_Type_Id, @Growth_Type_Id_Unknown), 
			--ISNULL(Sales_Rating_Id, @Sales_Rating_Id_Unknown) 
		--ORDER BY 
		--	Date_Id, 
		--	Organization_Id, 
		--	Account_Id, 
		--	LOB_Id, 
		--	Item_Profile_Id --, 
		--	--ISNULL(Growth_Type_Id, @Growth_Type_Id_Unknown), 
		--	--ISNULL(Sales_Rating_Id, @Sales_Rating_Id_Unknown) 