CHECKPOINT;
DBCC FreeProcCache;
DBCC DropCleanBuffers;

SET STATISTICS IO ON -- shows information related to the I/O of both logical and physical disks
GO
SET STATISTICS PROFILE ON –- shows execution plan
GO
SET STATISTICS TIME ON -– shows CPU time 
GO

DECLARE @start_time DATETIME
SELECT  @start_time = GETDATE()
	
--	< any query or a script that you want to time, without a GO >
	
SELECT  ‘Elapsed Time, sec’ = DATEDIFF( second, @start_time, GETDATE() ) 
GO