IF @@TRANCOUNT > 0 ROLLBACK;
USE master;
ALTER DATABASE AdventureWorks2014 SET RECOVERY SIMPLE;
USE AdventureWorks2014;
GO
IF OBJECT_ID ('largetable') IS NOT NULL DROP TABLE largetable;
GO
CREATE TABLE largetable (c1 int IDENTITY PRIMARY KEY NONCLUSTERED, c2 varchar (40), c3 char(400));
GO
DECLARE @x int
SET @x = 1
SET NOCOUNT ON
BEGIN TRAN
WHILE (@x < 300000)
BEGIN
  INSERT INTO largetable (c2, c3) VALUES ('abc' + CONVERT (varchar(30), @x), 'abc' + CONVERT (varchar(30), @x))
  SET @x = @x + 1
END;
COMMIT TRAN;
GO


DBCC DROPCLEANBUFFERS
USE AdventureWorks2014
GO
SELECT COUNT(DISTINCT c2)
FROM largetable 
WHERE c1 > 280000
GO