SET STATISTICS IO ON;
SET STATISTICS TIME ON;

DECLARE @Numbers TABLE (N int)

INSERT INTO @Numbers
SELECT ROW_NUMBER() OVER(ORDER BY sc.column_id asc)
FROM sys.columns sc
CROSS JOIN sys.columns sc2;

SELECT
	SUM(CAST(database_id + Num1.N as bigint)) + AVG(CAST(database_id + Num1.N AS BIGINT)) [Calcdatabase_id]
	--,SUM(owner_sid) + AVG(owner_sid)
	--,SUM(CAST(REPLACE(REPLACE(create_date,'-',''),':','') AS BIGINT)) + AVG(CAST(REPLACE(REPLACE(create_date,'-',''),':','') AS BIGINT))
	,SUM(CAST(source_database_id  + Num1.N AS BIGINT)) + AVG(CAST(source_database_id + Num1.N AS BIGINT))
	,SUM(CAST(compatibility_level + Num1.N AS BIGINT)) + AVG(CAST(compatibility_level + Num1.N AS BIGINT))          
	--,SUM(collation_name)
	,SUM(CAST(user_access + Num1.N AS BIGINT)) + AVG(CAST(user_access + Num1.N AS BIGINT))
	--,user_access_desc     nvarchar
	,SUM(CAST(is_read_only      AS BIGINT) + Num1.N) + AVG(CAST(is_read_only AS BIGINT) + Num1.N)
	,SUM(CAST(is_auto_close_on  AS BIGINT) + Num1.N) + AVG(CAST(is_auto_close_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_auto_shrink_on AS BIGINT) + Num1.N) + AVG(CAST(is_auto_shrink_on AS BIGINT) + Num1.N)           
	,SUM(CAST(state AS BIGINT) + Num1.N) + AVG(CAST(state AS BIGINT) + Num1.N)          
	--,state_desc     nvarchar
	,SUM(CAST(is_cleanly_shutdown AS BIGINT) + Num1.N) + AVG(CAST(is_cleanly_shutdown AS BIGINT) + Num1.N)
	,SUM(CAST(is_supplemental_logging_enabled AS BIGINT) + Num1.N) + AVG(CAST(is_supplemental_logging_enabled AS BIGINT) + Num1.N)
	,SUM(CAST(snapshot_isolation_state AS BIGINT) + Num1.N) + AVG(CAST(snapshot_isolation_state AS BIGINT) + Num1.N)
	--,snapshot_isolation_state_desc    nvarchar
	,SUM(CAST(is_read_committed_snapshot_on AS BIGINT) + Num1.N) + AVG(CAST(is_read_committed_snapshot_on AS BIGINT) + Num1.N)
	,SUM(CAST(recovery_model     AS BIGINT) + Num1.N) + AVG(CAST(recovery_model AS BIGINT) + Num1.N)
	--,SUM(recovery_model_desc)
	,SUM(CAST(page_verify_option AS BIGINT) + Num1.N) + AVG(CAST(page_verify_option AS BIGINT) + Num1.N)
	--,page_verify_option_desc    nvarchar
	,SUM(CAST(is_auto_create_stats_on AS BIGINT) + Num1.N) + AVG(CAST(is_auto_create_stats_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_auto_update_stats_on AS BIGINT) + Num1.N) + AVG(CAST(is_auto_update_stats_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_auto_update_stats_async_on AS BIGINT) + Num1.N) + AVG(CAST(is_auto_update_stats_async_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_ansi_null_default_on AS BIGINT) + Num1.N) + AVG(CAST(is_ansi_null_default_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_ansi_nulls_on    AS BIGINT) + Num1.N) + AVG(CAST(is_ansi_nulls_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_ansi_nulls_on    AS BIGINT) + Num1.N) + AVG(CAST(is_ansi_nulls_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_ansi_padding_on  AS BIGINT) + Num1.N) + AVG(CAST(is_ansi_padding_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_ansi_warnings_on AS BIGINT) + Num1.N) + AVG(CAST(is_ansi_warnings_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_arithabort_on    AS BIGINT) + Num1.N) + AVG(CAST(is_arithabort_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_concat_null_yields_null_on AS BIGINT) + Num1.N) + AVG(CAST(is_concat_null_yields_null_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_numeric_roundabort_on AS BIGINT) + Num1.N) + AVG(CAST(is_numeric_roundabort_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_quoted_identifier_on  AS BIGINT) + Num1.N) + AVG(CAST(is_quoted_identifier_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_recursive_triggers_on AS BIGINT) + Num1.N) + AVG(CAST(is_recursive_triggers_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_cursor_close_on_commit_on AS BIGINT) + Num1.N) + AVG(CAST(is_cursor_close_on_commit_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_local_cursor_default AS BIGINT) + Num1.N) + AVG(CAST(is_local_cursor_default AS BIGINT) + Num1.N)
	,SUM(CAST(is_fulltext_enabled AS BIGINT) + Num1.N) + AVG(CAST(is_fulltext_enabled AS BIGINT) + Num1.N)
	,SUM(CAST(is_trustworthy_on   AS BIGINT) + Num1.N) + AVG(CAST(is_trustworthy_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_db_chaining_on   AS BIGINT) + Num1.N) + AVG(CAST(is_db_chaining_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_parameterization_forced AS BIGINT) + Num1.N) + AVG(CAST(is_parameterization_forced AS BIGINT) + Num1.N)
	,SUM(CAST(is_master_key_encrypted_by_server AS BIGINT) + Num1.N) + AVG(CAST(is_master_key_encrypted_by_server AS BIGINT) + Num1.N)
	,SUM(CAST(is_published  AS BIGINT) + Num1.N) + AVG(CAST(is_published AS BIGINT) + Num1.N)
	,SUM(CAST(is_subscribed AS BIGINT) + Num1.N) + AVG(CAST(is_subscribed AS BIGINT) + Num1.N)
	,SUM(CAST(is_merge_published AS BIGINT) + Num1.N) + AVG(CAST(is_merge_published AS BIGINT) + Num1.N)
	,SUM(CAST(is_distributor AS BIGINT) + Num1.N) + AVG(CAST(is_distributor AS BIGINT) + Num1.N)
	,SUM(CAST(is_sync_with_backup AS BIGINT) + Num1.N) + AVG(CAST(is_sync_with_backup AS BIGINT) + Num1.N)
	--,service_broker_guid  uniqueidentifier
	,SUM(CAST(is_broker_enabled AS BIGINT) + Num1.N) + AVG(CAST(is_broker_enabled AS BIGINT) + Num1.N)
	--,SUM(CAST(log_reuse_wait AS BIGINT)) + AVG(CAST(log_reuse_wait AS BIGINT))
	--,log_reuse_wait_desc  nvarchar
	,SUM(CAST(is_date_correlation_on AS BIGINT) + Num1.N) + AVG(CAST(is_date_correlation_on AS BIGINT) + Num1.N)
	,SUM(CAST(is_cdc_enabled AS BIGINT) + Num1.N) + AVG(CAST(is_cdc_enabled AS BIGINT) + Num1.N)
	,SUM(CAST(is_encrypted   AS BIGINT) + Num1.N) + AVG(CAST(is_encrypted AS BIGINT) + Num1.N)
	,SUM(CAST(is_honor_broker_priority_on AS BIGINT) + Num1.N) + AVG(CAST(is_honor_broker_priority_on AS BIGINT) + Num1.N)
FROM sys.databases
CROSS JOIN @Numbers Num1