-- DEMO: Using Traceflags

DBCC TRACESTATUS (-1); -- see all enabled trace flags

DBCC TRACEON(3604);

DBCC TRACESTATUS (-1); 

---- Run in another connection:
--DBCC TRACESTATUS (-1); 


-- DEMO: Specific trace flags

DBCC HELP(CHECKDB);
DBCC HELP(PAGE);
DBCC HELP(FOO);

-- Enable help on undocumented DBCC Commands:
DBCC TRACEON(2588);

DBCC HELP(PAGE);
DBCC HELP(FOO);

DBCC TRACEOFF(2588);
------------------------------------

-- TF 3502 prints info in the errorlog every time a checkpoint runs
DBCC TRACEON(3502, -1)
DBCC TRACESTATUS (-1)
USE credit
GO
-- Look in errorlog
CHECKPOINT
-- Look in errorlog

--- Generate some work so checkpoint will have something to do

-- Update a bunch of rows in the table
UPDATE dbo.charge
SET charge_amt = charge_amt * 0.8
WHERE charge_no < 25000;


-- Update a bunch of rows in the table
UPDATE dbo.charge
SET charge_amt = charge_amt * 1.2
WHERE charge_no < 25000;

-- TF 3502 prints details about the work done during checkpoint
DBCC TRACEON(3504, -1)
DBCC TRACESTATUS (-1)

CHECKPOINT
-- Look in error log