-- Servername: vm-sssrv33.intercerve.com  Database: IntercerveLicensing 


SELECT u.LastEvalDownloadDate, u.EmailAddress, MAX(l.logdate) CheckDate
FROM Users u WITH (NOLOCK) 
	LEFT OUTER JOIN ProductVersionLog l WITH (NOLOCK) 
		ON u.EmailAddress = l.EmailAddress
--where u.EmailAddress in (select EmailAddress from ProductVersionLog with (nolock))
WHERE u.LastEvalDownloadDate > DATEADD(d,-7,GETDATE())
--and u.LastEvalDownloadDate < '9/9/2010' 
GROUP BY u.LastEvalDownloadDate, u.EmailAddress
ORDER BY u.LastEvalDownloadDate DESC;

SELECT u.LastEvalDownloadDate, u.EmailAddress, MAX(l.logdate) CheckDate
FROM Users u WITH (NOLOCK) 
	INNER JOIN ProductVersionLog l WITH (NOLOCK) 
		ON u.EmailAddress = l.EmailAddress
--where u.EmailAddress in (select EmailAddress from ProductVersionLog with (nolock))
WHERE u.LastEvalDownloadDate > DATEADD(d,-7,GETDATE())
--and u.LastEvalDownloadDate < '9/9/2010' 
GROUP BY u.LastEvalDownloadDate, u.EmailAddress 
ORDER BY u.LastEvalDownloadDate DESC;

/*
Author: Steve Wright 

It looks like the defaults check the last seven days, but you can adjust accordingly.  
The top query pulls back all downloads for that timeframe including a last version 
check date if one exists.  The second then eliminates the ones without a check.  I then 
just manually calculated the difference in rows returned for each.  If nothing else, 
this should give you a lot to get started with and improve upon.  Note this query is for 
the most recent download date, so it will include people that may have received 
extensions and downloaded then, or downloaded a new build that came out while they were 
evaluating; not necessarily their very first download.
*/