SELECT
  resource_address,
  count(*)
FROM
  sys.dm_os_waiting_tasks
WHERE
  resource_address <> 0
GROUP BY
  resource_address
ORDER BY
  count(*) DESC
  
/*  Does my server have an active resource bottleneck? Look at 
the resource address where tasks are blocked.  Reminder: 
not all wait types have an associated resource. */