CHECKPOINT;
DBCC FreeProcCache;
DBCC DropCleanBuffers;

SET STATISTICS IO ON -- shows information related to the I/O of both logical and physical disks
GO
SET STATISTICS PROFILE ON –- shows execution plan
GO
SET STATISTICS TIME ON -– shows CPU time 
GO

CREATE TABLE #save_time (start_time DATETIME NOT NULL)

INSERT #save_time
VALUES (GETDATE())
GO

-- < any  script that you want TO TIME (may INCLUDE GO) >
GO

SELECT ‘Elapsed Time, sec’ = DATEDIFF(second, start_time, GETDATE())
FROM #save_time

DROP TABLE #save_time
GO