-- First, create the backup file with the same name as the file to be restored.
-- Then, determine its actual file layout.
RESTORE FILELISTONLY
   FROM AdventureWorksDW2008_4M;

-- Finally, restore the database where you want it.
RESTORE DATABASE AdventureWorksDW2008
   FROM AdventureWorksDW2008_4M
   WITH RECOVERY,
   MOVE 'AdventureWorksDW2008_Data' TO 'D:\Demos\Databases\AdventureWorksDW2008.mdf', 
   MOVE 'AdventureWorksDW2008_Log' TO 'D:\Demos\Databases\AdventureWorksDW2008_log.ldf' ;