-- SQL Server 2000
-- DBCC sqlperf(waitstats,CLEAR)               --re-initialize waitstats
-- DBCC SQLPERF(WAITSTATS)

-- Clear wait stats on SQL2005 or later without rebooting

-- SQL Server 2005 and later
-- DBCC sqlperf('sys.dm_os_wait_stats',CLEAR)  --re-initialize waitstats
SELECT *, (wait_time_ms - signal_wait_time_ms) AS resource_wait_time_ms
FROM sys.dm_os_wait_stats
--WHERE wait_type NOT IN ('BROKER_TASK_STOP','SQLTRACE_BUFFER_FLUSH','LAZYWRITER_SLEEP') --Exclude common background waits
ORDER BY resource_wait_time_ms DESC
--ORDER BY wait_time_ms DESC
--ORDER BY signal_wait_time_ms DESC
--ORDER BY waiting_tasks_count DESC
--ORDER BY max_wait_time_ms DESC
;